\documentclass[
  a4paper,
  9pt,
  fromalign=right,
  version=last,
  enlargefirstpage
]{scrlttr2}
\usepackage{etoolbox}
\ifdef{\beforepackages}{\beforepackages}{}

\usepackage{numprint}
\usepackage[table]{xcolor}
\usepackage{tikz}
\usepackage{fp}
\usepackage{booktabs}
\usepackage{eurosym}
\usepackage{atbegshi} % This package provides the command to place in every page the tikz's footer
\usepackage[reset,
  bottom=3cm,
  headheight=1cm,
  left=2.5cm,
  right=2.5cm,
  top=2cm,
  nofoot
]{geometry}
\usepackage{xtab}
\usepackage{booktabs}
\usepackage{array}
\usepackage{xstring}
\usepackage{fmtcount}
\usepackage{xargs}
\usepackage{xparse}
\include{setkomavars}

\usepackage{fontspec}
\setmainfont{Montserrat-Regular}
\setsansfont{Montserrat-Regular}

\ifdef{\InvoiceNumberStyle}{\InvoiceNumberStyle}{}
\ifdef{\afterpackages}{\afterpackages}{}

\input{footer}

\newdate{invoiceDate}{\InvoiceDay}{\InvoiceMonth}{\InvoiceYear}
\def\InvoiceDate{\displaydate{invoiceDate}}

\begin{document}
\AtBeginShipout{\AtBeginShipoutAddToBox{\Footer}}
  \begin{letter}{
    \ifdef{\InvoiceRecipientFirm}{\InvoiceRecipientFirm \\}{}
    \ifdef{\InvoiceRecipientName}{\InvoiceRecipientName \\}{}
    % TODO: throw warning if neither of the former 2 variables are defined
    \InvoiceRecipientAddress \\
    \InvoiceRecipientPostalcode\ \InvoiceRecipientPlace
    \ifdef{\InvoiceRecipientExtra}{\\ \InvoiceRecipientExtra}{}
  }

    \ifdef{\InvoiceLogo}{
      \hspace*{-0.5cm}\includegraphics[width=4cm]{\InvoiceLogo}
    }{}

    \opening{\InvoiceLetterOpening}

    \InvoiceIntro \\

    \InvoiceBreakdown \\

    \noindent\\\InvoicePaymentDetails
    %\ifdef{\InvoiceIntro}{\InvoiceIntro\newline}{}
    %\InvoiceBreakdown\newline
    %\ifdef{\InvoicePaymentDetails}{\InvoicePaymentDetails\newline}{}
    %\ifdef{\InvoicePS}{\ps \InvoicePS}{}
    \renewcommand\raggedsignature{\raggedright}
    \closing{\InvoiceLetterClosing}
  \end{letter}
\end{document}
